# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetEnumeratedComponentAttribute

Function Provides access to a specified attribute of a component by index rather than by name.

Syntax
`
#include <dx/dx.h>
`

Object DXGetEnumeratedComponentAttribute(Field f, int n, char **name, char *attribute)

Functional Details

The `attribute` attribute of the `n`th component of Field `f` is returned. The name of the component is returned in `*name`.

This interface is used primarily to provide access to all components of the Field `f` without requiring a list of component names.

Return Value

Returns the attribute or returns `NULL` but does not set an error code if `n` is out of range.

See Also

`DXGetComponentAttribute, DXGetEnumeratedComponentValue`

12.1 , "Field Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]